@import url("https://fonts.googleapis.com/css2?family=Lovers+Quarrel&display=swap");

:root {
  --primary-color: #c5d2f8;
  --secondary-color: #4f0c28;
  --tertiary-color: #a01850;
  --quaternary-color: #35081b;
}

@keyframes rainbow {
  0% {
    background-position: 200%;
  }
  100% {
    background-position: 0%;
  }
}

@media (max-width: 360px) {
  h1 {
    font-size: 40px;
  }
}

@media (min-width: 360px) {
  h1 {
    font-size: 80px;
  }
}

@media (max-width: 768px) {
  .sidebar {
    flex-direction: column;
  }
}

@media (min-width: 768px) {
  #body-wrapper {
    max-width: 80%;
    margin: 0 auto;
  }
}

@media (max-width: 1280px) {
  body {
    flex-direction: column;
  }

  #body-wrapper {
    flex-direction: column;
    gap: 25px;
  }

  .sidebar-box,
  .sidebar-group {
    flex: 1;
  }
}

@media (min-width: 1280px) {
  body {
    flex-direction: column;
  }

  #body-wrapper {
    flex-direction: row;
    justify-content: center;
    gap: 50px;
  }

  .sidebar {
    width: 280px;
    flex-direction: column;
  }

  .content {
    height: calc(100vh - 156px);
  }

  .content-box {
    width: 455px;
  }
}

body {
  display: flex;
  justify-content: center;
  gap: 25px;
  background: var(--secondary-color) url("/images/roses.jpg");
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
  backdrop-filter: blur(10px);
  margin: 0;
  padding: 8px;
  font-family: "VT-100", fixedsys, System, monospace;
  font-size: 13px;
}

h1 {
  color: transparent;
  font-family: "Lovers Quarrel", cursive;
  text-align: center;
  margin: 0 auto;
  width: fit-content;
  background-image: linear-gradient(
    to right,
    var(--primary-color),
    var(--tertiary-color) 10%15%,
    var(--primary-color) 20% 80%,
    var(--tertiary-color) 85% 90%,
    var(--primary-color)
  );
  background-clip: text;
  background-size: 200%;
  animation-name: rainbow;
  animation-duration: 10s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

h1::before {
  content: "Serenity Tarot";
  position: absolute;
  z-index: -1;
  text-shadow: var(--tertiary-color) 0px 0px 10px;
}

a {
  color: var(--secondary-color);
}

#body-wrapper {
  display: flex;
}

.sidebar {
  display: flex;
  gap: 25px;
}

.sidebar-group {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

/*Code shared by all window-style boxes. To see what different specific sidebar classes look like, check the demo page.*/
.sidebar-box,
.content-box {
  display: flex;
  flex-direction: column;
  background: var(--primary-color);
  border-radius: 5px;
  border: 1px solid var(--secondary-color);
  box-shadow: 2px 2px var(--tertiary-color);
}

/*Prevent image overflow.*/
.sidebar-box img,
.content-box img {
  max-width: 100%;
  height: auto; /*Prevent squishing*/
}

.content {
  display: flex;
  overflow-y: auto;
  flex-direction: column;
  align-items: stretch;
  scrollbar-width: thin;
  scrollbar-color: var(--secondary-color) var(--primary-color);
  gap: 25px;
}

/*Inside/main text of window boxes.*/
.inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 13px;
  height: 100%;
  padding: 10px;
}

p {
  text-align: center;
  margin-block: 0;
}

ul {
  margin-top: 0;
}

.inner p,
li {
  color: var(--quaternary-color);
}

/*The title bar at the top of window boxes.*/
.title-bar {
  background: var(--secondary-color);
  color: white;
  font-weight: bold;
  padding: 5px;
  padding-top: 3px;
  padding-bottom: 3px;
}

.close-button {
  float: right;
  margin-right: 5px;
  font-family: "Arial", sans-serif;
  line-height: 12px;
}

/*Round circular image.*/
.icon {
  border: var(--tertiary-color) solid 2px;
  border-radius: 50%;
}











